package com.mortals.xhx.busiz.rsp;

import lombok.Data;

import java.io.Serializable;

/**
 * 设备基础信息
 * @author: zxfei
 * @date: 2022/7/11 10:36
 * @description:
 **/
@Data
public class DeviceInfo implements Serializable {

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点编码
     */
    private String siteCode;
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 设备产品类型Id
     */
    private Long productId;

    /**
     * 设备产品类型
     */
    private String productName;

    /**
     * 设备启用状态 (0.停止，1.启用)
     */
    private Integer enabled;

    private Integer source;


}
