package com.mortals.xhx.busiz.rsp;

import lombok.Data;

import java.io.Serializable;


@Data
public class DeviceQueueAuthInfo implements Serializable {
    /**
     * 地址
     */
    private String host;

    /**
     * 端口
     */
    private Integer port;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 虚拟机名称
     */
    private String virtualHost;
    /**
     * 交换机名称
     */
    private String exchangeName;
    /**
     * 队列消息持久化时间
     */
    private String messageTtl;
    /**
     * 设备上行topic队列
     */
    private String uploadTopicFilter;
    /**
     * 设备下行topic队列
     */
    private String downTopicFilter;
//    /**
//     * 首页
//     */
//    private String homeUrl;



}
