package com.mortals.xhx.busiz.rsp;

import lombok.Data;

import java.io.Serializable;


@Data
public class ServerInfo implements Serializable {

    private String ip;

    private Integer port;

    /**
     * 设备注册API
     */
    private String deviceRegisterApi;
    /**
     * 设备初始化信息API
     */
    private String deviceInitApi;
    /**
     * 设备页面修改API
     */
    private String deviceUpdateApi;

    /**
     * 首页地址
     */
    private String homeUrl;
    /**
     * 前端对接平台接口地址
     */
    private String serverUrl;


}
