package com.mortals.xhx.module.alarm.service.impl;
import com.mortals.xhx.queue.TbQueueMsg;
import lombok.Getter;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.alarm.dao.AlarmSmsSendDao;
import com.mortals.xhx.module.alarm.model.AlarmSmsSendEntity;
import com.mortals.xhx.module.alarm.service.AlarmSmsSendService;

import java.util.Queue;
import java.util.concurrent.LinkedBlockingQueue;

/**
* AlarmSmsSendService
* 短信发送记录 service实现
*
* @author zxfei
* @date 2022-06-27
*/
@Service("alarmSmsSendService")
public class AlarmSmsSendServiceImpl extends AbstractCRUDServiceImpl<AlarmSmsSendDao, AlarmSmsSendEntity, Long> implements AlarmSmsSendService {

    private LinkedBlockingQueue<AlarmSmsSendEntity> smsRespQueue = new LinkedBlockingQueue<>();


    @Override
    public Queue getSmsRespQueue() {
        return smsRespQueue;
    }
}