package com.mortals.xhx.module.alarm.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.alarm.model.AlarmSmsSendEntity;
import com.mortals.xhx.module.alarm.service.AlarmSmsSendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 短信发送记录
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("alarm/sms/send")
public class AlarmSmsSendController extends BaseCRUDJsonBodyMappingController<AlarmSmsSendService,AlarmSmsSendEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AlarmSmsSendController(){
        super.setModuleDesc( "短信发送记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "sendStatus", paramService.getParamBySecondOrganize("AlarmSmsSend","sendStatus"));
        super.init(model, context);
    }


}