package com.mortals.xhx.busiz;


import com.mortals.xhx.common.code.CommentTypeEnum;
import com.mortals.xhx.common.code.ProcessStatusEnum;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 接收消息基础类
 * @author: zxfei
 * @date: 2022/4/6 14:39
 */
@Data
public abstract class BaseReq implements Serializable {
    /**********************任务相关的参数**********************/
    /**
     * 任务id 必填
     */
    private String taskId;
    /**
     * 流程实例的id
     */
    private String processInstanceId;

    /**
     * 节点id 选填
     */
    private String activityId;
    /**
     * 节点名称 选填
     */
    private String activityName;
    /**
     * 流程实例状态 必填
     */
    private ProcessStatusEnum processStatusEnum;
    /**********************审批意见的参数**********************/
    /**
     * 操作人code 必填
     */
    private String userCode;
    /**
     * 审批意见 必填
     */
    private String message;
    /**
     * 审批意见类型 必填
     */
    private CommentTypeEnum commentTypeEnum;


}
