package com.mortals.xhx.module.device.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.device.model.DeviceLogEntity;
import com.mortals.xhx.module.device.service.DeviceLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 设备日志
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("device/log")
public class DeviceLogController extends BaseCRUDJsonBodyMappingController<DeviceLogService,DeviceLogEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DeviceLogController(){
        super.setModuleDesc( "设备日志");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "logType", paramService.getParamBySecondOrganize("DeviceLog","logType"));
        super.init(model, context);
    }


}