package com.mortals.xhx.module.firm.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.firm.model.FirmEntity;
import com.mortals.xhx.module.firm.service.FirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 设备生产厂商
*
* @author zxfei
* @date 2022-06-27
*/
@RestController
@RequestMapping("firm")
public class FirmController extends BaseCRUDJsonBodyMappingController<FirmService,FirmEntity,Long> {

    @Autowired
    private ParamService paramService;

    public FirmController(){
        super.setModuleDesc( "设备生产厂商");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


}